NX Open C++ Reference Guide
|
Represents a builder to be used to create Mold Wizard Standard Part. More...
Public Types | |
enum | EditType { EditTypeAddInstance, EditTypeNewComponent, EditTypeModify } |
Represents the type to edit a standard part. More... | |
enum | RefsetName { RefsetNameTrue, RefsetNameFalse, RefsetNameEntirePart } |
Represents the reference set of the standard part when it is added to the assembly. More... | |
Public Member Functions | |
bool | AssociativePosition () |
Returns the flag to indicate whether to use the associative position method. | |
bool | ConceptDesign () |
Returns the flag to indicate whether to add concept symbols instead of real standard parts. | |
void | EditDataBase () |
Edits the data file of the standard item selected in Reuse Member View Created in NX8.0.0. | |
void | EditRegister () |
Edits the registering spread sheet file of the standard item selected in Reuse Member View. | |
void | Flip () |
Flips the selected standard part component. | |
void | Help () |
Ask help of the selected standard part component. | |
NXOpen::SelectNXObject * | PointPattern () |
Returns the point pattern used to control how to standard parts. | |
NXOpen::SelectNXObject * | PostioningPlane () |
Returns the postioning plane used to position a standard part. | |
NXOpen::Tooling::StandardPartBuilder::RefsetName | ReferenceSet () |
Returns the reference set currently used to add a new component to an assembly. | |
void | RemoveComponent () |
Removes the selected standard part component. | |
bool | RenameComponents () |
Returns the flag to indicate whether to bring up the Part Name Management dialog. | |
void | Reposition () |
Repositions the selected standard part component. | |
void | SetAssociativePosition (bool associativePosition) |
Sets the flag to indicate whether to use the associative position method. | |
void | SetConceptDesign (bool conceptDesign) |
Sets the flag to indicate whether to add concept symbols instead of real standard parts. | |
void | SetReferenceSet (NXOpen::Tooling::StandardPartBuilder::RefsetName referenceSet) |
Sets the reference set currently used to add a new component to an assembly. | |
void | SetRenameComponents (bool renameComponents) |
Sets the flag to indicate whether to bring up the Part Name Management dialog. | |
void | SetShowInfoWindow (bool showInfoWindow) |
Sets the flag to indicate whether to show the Information Window. | |
void | SetStandardPartEditType (NXOpen::Tooling::StandardPartBuilder::EditType standardPartEditType) |
Sets the standard part edit type of processing the selected component. | |
bool | ShowInfoWindow () |
Returns the flag to indicate whether to show the Information Window. | |
NXOpen::SelectNXObject * | StandardPartComponent () |
Returns the standard part component which is selected to be edited. | |
NXOpen::Tooling::StandardPartBuilder::EditType | StandardPartEditType () |
Returns the standard part edit type of processing the selected component. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a builder to be used to create Mold Wizard Standard Part.
To create a new instance of this class, use Tooling::StandardPartCollection::CreateStandardPartBuilder
Default values.
Property | Value |
---|---|
AssociativePosition |
0 |
ConceptDesign |
0 |
True | |
RenameComponents |
0 |
ShowInfoWindow |
0 |
StandardPartEditType |
AddInstance |
Created in NX8.0.0.
bool NXOpen::Tooling::StandardPartBuilder::AssociativePosition | ( | ) |
Returns the flag to indicate whether to use the associative position method.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::StandardPartBuilder::ConceptDesign | ( | ) |
Returns the flag to indicate whether to add concept symbols instead of real standard parts.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::StandardPartBuilder::EditDataBase | ( | ) |
Edits the data file of the standard item selected in Reuse Member View
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::StandardPartBuilder::EditRegister | ( | ) |
Edits the registering spread sheet file of the standard item selected in Reuse Member View.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::StandardPartBuilder::Flip | ( | ) |
Flips the selected standard part component.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::StandardPartBuilder::Help | ( | ) |
Ask help of the selected standard part component.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Tooling::StandardPartBuilder::PointPattern | ( | ) |
Returns the point pattern used to control how to standard parts.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Tooling::StandardPartBuilder::PostioningPlane | ( | ) |
Returns the postioning plane used to position a standard part.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::StandardPartBuilder::RefsetName NXOpen::Tooling::StandardPartBuilder::ReferenceSet | ( | ) |
Returns the reference set currently used to add a new component to an assembly.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::StandardPartBuilder::RemoveComponent | ( | ) |
Removes the selected standard part component.
Created in NX8.0.0.
License requirements : None
bool NXOpen::Tooling::StandardPartBuilder::RenameComponents | ( | ) |
Returns the flag to indicate whether to bring up the Part Name Management dialog.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::StandardPartBuilder::Reposition | ( | ) |
Repositions the selected standard part component.
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::StandardPartBuilder::SetAssociativePosition | ( | bool | associativePosition | ) |
Sets the flag to indicate whether to use the associative position method.
Created in NX8.0.0.
License requirements : None
associativePosition | associativeposition |
void NXOpen::Tooling::StandardPartBuilder::SetConceptDesign | ( | bool | conceptDesign | ) |
Sets the flag to indicate whether to add concept symbols instead of real standard parts.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
conceptDesign | conceptdesign |
void NXOpen::Tooling::StandardPartBuilder::SetReferenceSet | ( | NXOpen::Tooling::StandardPartBuilder::RefsetName | referenceSet | ) |
Sets the reference set currently used to add a new component to an assembly.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
referenceSet | referenceset |
void NXOpen::Tooling::StandardPartBuilder::SetRenameComponents | ( | bool | renameComponents | ) |
Sets the flag to indicate whether to bring up the Part Name Management dialog.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
renameComponents | renamecomponents |
void NXOpen::Tooling::StandardPartBuilder::SetShowInfoWindow | ( | bool | showInfoWindow | ) |
Sets the flag to indicate whether to show the Information Window.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
showInfoWindow | showinfowindow |
void NXOpen::Tooling::StandardPartBuilder::SetStandardPartEditType | ( | NXOpen::Tooling::StandardPartBuilder::EditType | standardPartEditType | ) |
Sets the standard part edit type of processing the selected component.
Created in NX8.0.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
standardPartEditType | standardpartedittype |
bool NXOpen::Tooling::StandardPartBuilder::ShowInfoWindow | ( | ) |
Returns the flag to indicate whether to show the Information Window.
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Tooling::StandardPartBuilder::StandardPartComponent | ( | ) |
Returns the standard part component which is selected to be edited.
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::StandardPartBuilder::EditType NXOpen::Tooling::StandardPartBuilder::StandardPartEditType | ( | ) |
Returns the standard part edit type of processing the selected component.
Created in NX8.0.0.
License requirements : None